public static interface SoroushBotEndpointBuilderFactory.SoroushBotBuilders
| Modifier and Type | Method and Description |
|---|---|
default SoroushBotEndpointBuilderFactory.SoroushBotEndpointBuilder |
soroush(String path)
Soroush (camel-soroush)
Send and receive messages as a Soroush chat bot.
|
default SoroushBotEndpointBuilderFactory.SoroushBotEndpointBuilder |
soroush(String componentName,
String path)
Soroush (camel-soroush)
Send and receive messages as a Soroush chat bot.
|
default SoroushBotEndpointBuilderFactory.SoroushBotEndpointBuilder soroush(String path)
soroush:action
Path parameter: action (required)
The action to do.
There are 4 enums and the value can be one of: sendMessage,
getMessage, uploadFile, downloadFilepath - actiondefault SoroushBotEndpointBuilderFactory.SoroushBotEndpointBuilder soroush(String componentName, String path)
soroush:action
Path parameter: action (required)
The action to do.
There are 4 enums and the value can be one of: sendMessage,
getMessage, uploadFile, downloadFilecomponentName - to use a custom component name for the endpoint
instead of the default namepath - actionApache Camel